# GET /v2/videos/generations/{task_id}

**Method**: `GET`
**Endpoint**: `/v2/videos/generations/{task_id}`

Unified Interface Format
status enum:
NOT_START: Not started
IN_PROGRESS: Running
SUCCESS: Completed
FAILURE ： Failure

## Request Parameters

### Path Parameters

```text
task_id
string
Required
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/v2/videos/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "task_id": "cgt-20250831141439-sqmgf",
    "platform": "bytedance",
    "action": "seedance-video",
    "status": "SUCCESS",
    "fail_reason": "",
    "submit_time": 1756620886,
    "start_time": 1756620932,
    "finish_time": 1756621169,
    "progress": "100%",
    "data": {
        "output": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/doubao-seedance-1-0-lite-t2v/02175662087993300000000000000000000ffffac144da8827713.mp4?X-Tos-Algorithm=TOS4-HMAC-SHA256&X-Tos-Credential=AKLTYWJkZTExNjA1ZDUyNDc3YzhjNTM5OGIyNjBhNDcyOTQ%2F20250831%2Fcn-beijing%2Ftos%2Frequest&X-Tos-Date=20250831T061502Z&X-Tos-Expires=86400&X-Tos-Signature=6de1817f6a8fab576a3d96c5f03bd214df0e018402d764e2d801fbf846f0ebb5&X-Tos-SignedHeaders=host",
        "duration": "5",
        "framespersecond": "24",
        "last_frame_url": "",
        "ratio": "16:9",
        "resolution": "480p",
        "seed": "55335",
        "usage": {
            "completion_tokens": 49005,
            "total_tokens": 49005
        }
    },
    "search_item": ""
}
```
